"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var KeiCertificate = /** @class */ (function () {
    function KeiCertificate(carIdentifierLocation, carTypeNumberAndCategoryNumber, expiresAt, registeredAt, model, frontFrontAxleWeight, frontRearAxleWeight, rearFrontAxleWeight, rearRearAxleWeight, noiseRegulation, emissionNoiseRegulation, driveSystem, measuredOpacimeter, measuredNoxAndPm, nox, pm, fuelType, number, numberType, identifier, engineModel, sheetType, 
    // Kei
    ownerAddress, // 使用者住所
    ownerName, // 使用者氏名
    use, // 用途
    purpose, // 自家用事業用の別
    shape, // 車体の形状
    capacity1, // 定員1
    capacity2, // 定員2
    maxCarrying1, // 最大積載量1
    maxCarrying2, // 最大積載量2
    weight1, // 総重量1
    weight2, // 総重量2
    code, // 車名コード
    mileage, // 走行距離計表示値
    mileageType) {
        this.carIdentifierLocation = carIdentifierLocation;
        this.carTypeNumberAndCategoryNumber = carTypeNumberAndCategoryNumber;
        this.expiresAt = expiresAt;
        this.registeredAt = registeredAt;
        this.model = model;
        this.frontFrontAxleWeight = frontFrontAxleWeight;
        this.frontRearAxleWeight = frontRearAxleWeight;
        this.rearFrontAxleWeight = rearFrontAxleWeight;
        this.rearRearAxleWeight = rearRearAxleWeight;
        this.noiseRegulation = noiseRegulation;
        this.emissionNoiseRegulation = emissionNoiseRegulation;
        this.driveSystem = driveSystem;
        this.measuredOpacimeter = measuredOpacimeter;
        this.measuredNoxAndPm = measuredNoxAndPm;
        this.nox = nox;
        this.pm = pm;
        this.fuelType = fuelType;
        this.number = number;
        this.numberType = numberType;
        this.identifier = identifier;
        this.engineModel = engineModel;
        this.sheetType = sheetType;
        this.ownerAddress = ownerAddress;
        this.ownerName = ownerName;
        this.use = use;
        this.purpose = purpose;
        this.shape = shape;
        this.capacity1 = capacity1;
        this.capacity2 = capacity2;
        this.maxCarrying1 = maxCarrying1;
        this.maxCarrying2 = maxCarrying2;
        this.weight1 = weight1;
        this.weight2 = weight2;
        this.code = code;
        this.mileage = mileage;
        this.mileageType = mileageType;
    }
    Object.defineProperty(KeiCertificate.prototype, "encodedStrings", {
        get: function () {
            return [
                [
                    'K',
                    '71',
                    '軽自動車',
                    this.use,
                    this.purpose,
                    this.shape,
                    this.capacity1,
                    this.capacity2,
                    this.maxCarrying1,
                    this.maxCarrying2,
                    this.weight1,
                    this.weight2,
                    this.code,
                    this.mileage,
                    this.mileageType
                ].join('/'),
                [
                    'K',
                    '61',
                    this.ownerAddress
                ].join('/'),
                [
                    'K',
                    '51',
                    this.ownerName
                ].join('/'),
                [
                    'K',
                    '31',
                    this.carIdentifierLocation,
                    this.carTypeNumberAndCategoryNumber,
                    this.expiresAt,
                    this.registeredAt,
                    this.model,
                    this.frontFrontAxleWeight,
                    this.frontRearAxleWeight,
                    this.rearFrontAxleWeight,
                    this.rearRearAxleWeight,
                    this.noiseRegulation,
                    this.emissionNoiseRegulation,
                    this.driveSystem,
                    this.measuredOpacimeter,
                    this.measuredNoxAndPm,
                    this.nox,
                    this.pm,
                    '999999'
                ].join('/'),
                [
                    'K',
                    '22',
                    this.number,
                    this.numberType,
                    this.identifier,
                    this.engineModel,
                    this.sheetType
                ].join('/')
            ];
        },
        enumerable: false,
        configurable: true
    });
    return KeiCertificate;
}());
exports.default = KeiCertificate;
//# sourceMappingURL=keiCertificate.js.map