"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var jsqr_1 = require("jsqr");
var qrCodeContainer_1 = require("./container/qrCodeContainer");
var qrCodeContainerKei_1 = require("./container/qrCodeContainerKei");
var qrCodeContainerKeiOld_1 = require("./container/qrCodeContainerKeiOld");
var ShakenQRReader = /** @class */ (function () {
    function ShakenQRReader(carType) {
        var _this = this;
        if (carType === void 0) { carType = 'normal'; }
        this.carType = carType;
        this.push = function (image) {
            var qrCode = jsqr_1.default(image.data, image.width, image.height, { inversionAttempts: "dontInvert" });
            if (qrCode) {
                _this.qrCodeContainer.push(qrCode);
            }
        };
        if (carType === 'kei_old') {
            this.qrCodeContainer = new qrCodeContainerKeiOld_1.default();
        }
        else if (carType === 'kei') {
            this.qrCodeContainer = new qrCodeContainerKei_1.default();
        }
        else {
            this.qrCodeContainer = new qrCodeContainer_1.default();
        }
    }
    Object.defineProperty(ShakenQRReader.prototype, "missingIndex", {
        get: function () {
            return this.qrCodeContainer.missingIndex;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ShakenQRReader.prototype, "isCompleted", {
        get: function () {
            return this.qrCodeContainer.isCompleted;
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ShakenQRReader.prototype, "result", {
        get: function () {
            return this.qrCodeContainer.result;
        },
        enumerable: false,
        configurable: true
    });
    return ShakenQRReader;
}());
exports.default = ShakenQRReader;
//# sourceMappingURL=index.js.map